Bug 1292296 - mintlocale: noarch package uses %_libdir in %files
Summary: mintlocale: noarch package uses %_libdir in %files
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mintlocale
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: leigh scott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: epel7aarch64
TreeView+ depends on / blocked
 
Reported: 2015-12-16 23:04 UTC by Yaakov Selkowitz
Modified: 2016-05-15 02:40 UTC (History)
2 users (show)

Fixed In Version: mintlocale-1.1.6-0.7.gitfb4118d.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-15 02:40:44 UTC


Attachments (Terms of Use)

Description Yaakov Selkowitz 2015-12-16 23:04:47 UTC
mintlocale is BuildArch: noarch but uses %{_libdir}/linuxmint/ in %files.  As a noarch package can be built on any builder, depending on which it ends up on, the value of %{_libdir} can vary.  You've been lucky until now that, as frequently happens with noarch packages, mintlocale has been built on armv7 machines where _libdir == lib.  If, however, mintlocale were to be built on a 64-bit system, the build would fail because this package uses /usr/lib/linuxmint which would not match %{_libdir}/linuxmint.

This affects all versions of Fedora as well as epel7.

Comment 1 Jeff Bastian 2015-12-18 17:39:09 UTC
I'm trying to build Cinnamon 2.8 for RHEL 7.2 (*), and I hit this bug trying to build mintlocale on x86_64:

[rpmbuild@localhost ~]$ rpmbuild --rebuild mintlocale-1.1.6-0.6.gitfb4118d.fc23.src.rpm
...
Processing files: mintlocale-1.1.6-0.6.gitfb4118d.el7.noarch
error: Directory not found: /home/rpmbuild/rpmbuild/BUILDROOT/mintlocale-1.1.6-0.6.gitfb4118d.el7.x86_64/usr/lib64/linuxmint
...


I fixed it by just hard-coding /usr/lib in the %files section instead of using the macro:

-%{_libdir}/linuxmint/
+/usr/lib/linuxmint/



(*) https://copr.fedoraproject.org/coprs/jbastian/rhel7-cinnamon-2.8/

Comment 2 leigh scott 2015-12-18 21:30:18 UTC
(In reply to Jeff Bastian from comment #1)
> I'm trying to build Cinnamon 2.8 for RHEL 7.2 (*), and I hit this bug trying
> to build mintlocale on x86_64:
> 
> [rpmbuild@localhost ~]$ rpmbuild --rebuild
> mintlocale-1.1.6-0.6.gitfb4118d.fc23.src.rpm
> ...
> Processing files: mintlocale-1.1.6-0.6.gitfb4118d.el7.noarch
> error: Directory not found:
> /home/rpmbuild/rpmbuild/BUILDROOT/mintlocale-1.1.6-0.6.gitfb4118d.el7.x86_64/
> usr/lib64/linuxmint
> ...
> 
> 
> I fixed it by just hard-coding /usr/lib in the %files section instead of
> using the macro:
> 
> -%{_libdir}/linuxmint/
> +/usr/lib/linuxmint/
> 
> 
> 
> (*) https://copr.fedoraproject.org/coprs/jbastian/rhel7-cinnamon-2.8/

You could have used --target=noarch to build on 64bit

rpmbuild --rebuild --target=noarch mintlocale/mintlocale-1.1.6-0.6.gitfb4118d.fc24.src.rpm

Comment 3 Yaakov Selkowitz 2016-01-21 23:34:31 UTC
(In reply to leigh scott from comment #2)
> You could have used --target=noarch to build on 64bit
> 
> rpmbuild --rebuild --target=noarch
> mintlocale/mintlocale-1.1.6-0.6.gitfb4118d.fc24.src.rpm

That doesn't help for a mock or koji build.

Comment 4 Jan Kurik 2016-02-24 14:09:05 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 5 Fedora Update System 2016-04-28 08:10:25 UTC
mintlocale-1.1.6-0.7.gitfb4118d.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f57764e0d1

Comment 6 Fedora Update System 2016-04-28 22:22:57 UTC
mintlocale-1.1.6-0.7.gitfb4118d.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-f57764e0d1

Comment 7 Fedora Update System 2016-05-15 02:40:42 UTC
mintlocale-1.1.6-0.7.gitfb4118d.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.